V11.0
delete
/ec-designer-ors-svc/rest/v11.0/studies/{studyId}/versions/{version}/kits/{kitId}
Deletes a design-time kit type. Combination kit member mappings are deleted in the same transaction as the kit.
Request
Path Parameters
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Kit was deleted successfully.
Root Schema : schema
Type:
string404 Response
Kit was not found.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}